<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib">
    <!-- Sign up menu -->
    <h:panelGroup rendered="#{!identity.loggedIn and applicationConfigurationBean.isUserRegistrationEnabled()}">
        <li>
            <h:outputLink value="#{applicationConfigurationBean.getUserRegistrationUrl()}">
                <h:outputText value="#{messages['net.ihe.gazelle.ssoclient.SignUp']}"/>
            </h:outputLink>
        </li>
    </h:panelGroup>
    <h:panelGroup rendered="#{not identity.loggedIn}">
        <li>
            <h:outputLink rendered="${preferenceProvider.getBoolean('cas_enabled')}" id="loginButton"
                          value="#{preferenceProvider.getString('application_url')}/login/login.seam">
                <h:outputText value="#{messages['net.ihe.gazelle.ssoclient.Login']}"/>
                <f:param name="request" value="#{request.requestURL}" disable="#{request.queryString != null}"/>
                <f:param name="request" value="#{request.requestURL}?#{request.queryString}"
                         disable="#{request.queryString == null}"/>
            </h:outputLink>
            <h:outputLink
                    rendered="#{not preferenceProvider.getBoolean('cas_enabled') and preferenceProvider.getBoolean('ip_login')}"
                    id="loginIPButton" value="#{preferenceProvider.getString('application_url')}/login/ipLogin.seam">
                <h:outputText value="#{messages['net.ihe.gazelle.ssoclient.Login']}"/>
            </h:outputLink>
        </li>
    </h:panelGroup>
    <h:panelGroup rendered="#{identity.loggedIn}">
        <li id="identity-card-dropdown" class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                <!-- User image -->
                <s:span id="userPicMin" title="#{identity.firstName} #{identity.lastName}"
                rendered="#{applicationConfigurationBean.showNewLoginMenu()}">
                    <h:graphicImage class="gzl-menu-image img-rounded" alt="User thumbnail"
                                    height="30rem"
                                    value="#{gumUserProfilePictureBean.getUserProfileThumbnailUri(identity.username)}"/>
                </s:span>
                <h:outputText value="${identity.getDisplayName()}"/>
                <span class="caret"/>
            </a>
            <ul class="dropdown-menu">
                <ui:insert name="loggedInMenuExtension"/>
                <!-- Account page -->
                <h:panelGroup rendered="#{applicationConfigurationBean.showNewLoginMenu()}">
                    <li>
                        <h:outputLink
                                      value="#{applicationConfigurationBean.getUserAccountUrl()}">
                            <h:outputText value="#{messages['net.ihe.gazelle.ssoclient.myAccount']}"/>
                            <f:param name="origin" value="#{request.requestURL}"
                                     disable="#{request.queryString != null}"/>
                            <f:param name="origin" value="#{request.requestURL}?#{request.queryString}"
                                     disable="#{request.queryString == null}"/>
                        </h:outputLink>
                    </li>
                    <!-- Users management -->
                    <h:panelGroup
                            rendered="#{identity.hasRole('admin_role') or identity.hasRole('vendor_admin_role') or identity.hasRole('test_session_manager_role') or identity.hasRole('project-manager_role')}">
                        <li class="divider"/>
                        <li>
                            <h:outputLink
                                    value="#{applicationConfigurationBean.getUsersManagementUrl()}">
                                <h:outputText value="#{messages['net.ihe.gazelle.ssoclient.manageUsers']}"/>
                            </h:outputLink>
                        </li>
                    </h:panelGroup>
                    <li class="divider"/>
                </h:panelGroup>
                <li>
                    <h:outputLink id="logoutButton"
                                  value="#{preferenceProvider.getString('application_url')}/login/logout.seam">
                        <h:outputText value="#{messages['net.ihe.gazelle.ssoclient.Logout']}"/>
                    </h:outputLink>
                </li>
            </ul>
        </li>
    </h:panelGroup>
</ui:composition>